Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.ejb.support
Interface SmartSessionBean

All Superinterfaces:
  EnterpriseBean, Serializable, SessionBean

All Known Implementing Classes:
  AbstractSessionBean, AbstractStatefulSessionBean, AbstractStatelessSessionBean

    public interface SmartSessionBean

extends SessionBean

Interface to be implemented by Session Beans that want to expose important state to cooperating classes.

Implemented by Spring's AbstractSessionBean class and hence by all of Spring's specific Session Bean support classes, such as `AbstractStatelessSessionBean` and `AbstractStatefulSessionBean`.

Since:
  1.2
Author:
  Juergen Hoeller
See Also:
  `AbstractStatelessSessionBean`, `AbstractStatefulSessionBean`

Method Summary
`SessionContext` | `getSessionContext()` Return the SessionContext that was passed to the Session Bean by the EJB container.

Methods inherited from interface javax.ejb.SessionBean
`ejbActivate, ejbPassivate, ejbRemove, setSessionContext`

Method Detail

### getSessionContext

    SessionContext getSessionContext()

  Return the SessionContext that was passed to the Session Bean by the EJB container. Can be used by cooperating infrastructure code to get access to the user credentials, for example.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD